<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>Home - Brand</title>
    <link rel="stylesheet" href="../assets/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:400,400i,700,700i,600,600i">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Audiowide&amp;display=swap">
    <link rel="stylesheet" href="../assets/css/codemirror.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.10.0/baguetteBox.min.css">
    <link rel="stylesheet" href="../assets/css/Login-Form-Clean.css">
    <link rel="stylesheet" href="../assets/css/Navigation-Clean.css">
    <link rel="stylesheet" href="../assets/css/Navigation-with-Button.css">
    <link rel="stylesheet" href="../assets/css/Rehoboam-Elms.css">
    <link rel="stylesheet" href="../assets/css/Rehoboam-Nav.css">
    <link rel="stylesheet" href="../assets/css/vanilla-zoom.min.css">
</head>

<body><script src="https://cdn.socket.io/3.1.3/socket.io.min.js" integrity="sha384-cPwlPLvBTa3sKAgddT6krw0cJat7egBga3DJepJyrLl4Q9/5WLra3rrnMcyTyOnh" crossorigin="anonymous"></script>
<script src="../models/codemirror/codemirror.js"></script>
<script src="../models/codemirror/javascript/javascript.js" type="text/javascript" charset="utf-8"></script>
    <nav class="navbar navbar-light navbar-expand-md navigation-clean-button">
        <div class="container"><a class="navbar-brand" href="/index.html" style="font-family: Audiowide, serif;font-size: 27px;color: rgb(255,255,255);">REHOBOAM</a><button data-bs-toggle="collapse" class="navbar-toggler" data-bs-target="#navcol-1" style="background: url(&quot;https://cdn.bootstrapstudio.io/placeholders/1400x800.png&quot;);"><span class="visually-hidden">Toggle navigation</span><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navcol-1">
                <ul class="navbar-nav me-auto"></ul><span class="navbar-text actions"> <a class="login" href="login.html">Log In</a><a class="btn btn-light action-button" role="button" href="#">Sign Up</a></span>
            </div>
        </div>
    </nav>
    <main class="page landing-page">
        <section class="clean-block clean-form dark" style="background: #16102c;height: 2000px;">
            <div class="container" style="font-size: 14px;padding-top: 20px;">
                <div class="row" style="height: 950px;">
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col" style="text-align: left;">
                                <h2 style="color: #ffffff;">Crawler Constructor</h2>
                            </div>
                        </div>
                        <div class="row" style="padding-top: 20px;">
                            <div class="col">
                                <ul class="list-group">
                                    <li class="list-group-item" style="margin-bottom: 20px;padding-bottom: 15px;">
                                        <div class="row">
                                            <div class="col">
                                                <h5>Domain name</h5><input type="text">
                                            </div>
                                            <div class="col button_col"><button class="btn btn-primary" id="btn_save" type="button">Save</button></div>
                                        </div>
                                    </li>
                                    <li class="list-group-item">
                                        <div class="row" style="padding-top: 5px;padding-bottom: 5px;">
                                            <div class="col" style="/*padding-bottom: 16px;*/">
                                                <h5>Master Pages</h5>
                                            </div>
                                            <div class="col button_col"><button class="btn btn-primary" type="button">Add</button></div>
                                        </div>
                                        <div id="mp_container">
                                            <ul class="nav nav-tabs" role="tablist">
                                                <li class="nav-item" role="presentation"><a class="nav-link active" role="tab" data-bs-toggle="tab" href="#mp1">Politics</a></li>
                                                <li class="nav-item" role="presentation"><a class="nav-link" role="tab" data-bs-toggle="tab" href="#mp2">World</a></li>
                                                <li class="nav-item" role="presentation"><a class="nav-link" role="tab" data-bs-toggle="tab" href="#mp3">Canada</a></li>
                                            </ul>
                                            <div class="tab-content">
                                                <div class="tab-pane active" role="tabpanel" id="mp1">
                                                    <ul class="list-group" style="border-style: none;">
                                                        <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Url</label><input type="text"></li>
                                                        <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Article page type</label><input type="text"></li>
                                                        <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Crawling period</label><input type="text"></li>
                                                        <li class="list-group-item" style="border-style: none;">
                                                            <div class="row" style="padding-top: 5px;padding-bottom: 5px;">
                                                                <div class="col">
                                                                    <h5>Sections</h5>
                                                                </div>
                                                                <div class="col button_col"><button class="btn btn-primary" type="button">Add</button></div>
                                                            </div>
                                                            <div>
                                                                <ul class="nav nav-tabs" role="tablist">
                                                                    <li class="nav-item" role="presentation"><a class="nav-link active" role="tab" data-bs-toggle="tab" href="#mp1_s1">Sec 1</a></li>
                                                                    <li class="nav-item" role="presentation"><a class="nav-link" role="tab" data-bs-toggle="tab" href="#mp1_s2">Sec 2</a></li>
                                                                    <li class="nav-item" role="presentation"><a class="nav-link" role="tab" data-bs-toggle="tab" href="#mp1_s3">Sec 3</a></li>
                                                                </ul>
                                                                <div class="tab-content">
                                                                    <div class="tab-pane active" role="tabpanel" id="mp1_s1">
                                                                        <ul class="list-group" style="border-style: none;">
                                                                            <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Section name</label><input type="text"></li>
                                                                            <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Tag name</label><input type="text"></li>
                                                                            <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Tag class</label><input type="text"></li>
                                                                            <li class="list-group-item" style="border-style: none;">
                                                                                <div class="row" style="padding-top: 5px;padding-bottom: 5px;">
                                                                                    <div class="col">
                                                                                        <h5>Items</h5>
                                                                                    </div>
                                                                                    <div class="col button_col"><button class="btn btn-primary" type="button">Add</button></div>
                                                                                </div>
                                                                                <div>
                                                                                    <ul class="nav nav-tabs" role="tablist">
                                                                                        <li class="nav-item" role="presentation"><a class="nav-link active" role="tab" data-bs-toggle="tab" href="#mp1_s1_i1">Item 1</a></li>
                                                                                        <li class="nav-item" role="presentation"><a class="nav-link" role="tab" data-bs-toggle="tab" href="#mp1_s1_i2">Item 2</a></li>
                                                                                        <li class="nav-item" role="presentation"><a class="nav-link" role="tab" data-bs-toggle="tab" href="#mp1_s1_i3">Item 3</a></li>
                                                                                    </ul>
                                                                                    <div class="tab-content">
                                                                                        <div class="tab-pane active" role="tabpanel" id="mp1_s1_i1">
                                                                                            <ul class="list-group" style="border-style: none;">
                                                                                                <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Tag name</label><input type="text"></li>
                                                                                                <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Tag class</label><input type="text"></li>
                                                                                                <li class="list-group-item" style="border-style: none;">
                                                                                                    <div>
                                                                                                        <ul class="nav nav-tabs" role="tablist">
                                                                                                            <li class="nav-item" role="presentation"><a class="nav-link active" role="tab" data-bs-toggle="tab" href="#tab-6">Header</a></li>
                                                                                                            <li class="nav-item" role="presentation"><a class="nav-link" role="tab" data-bs-toggle="tab" href="#tab-7">Description</a></li>
                                                                                                            <li class="nav-item" role="presentation"><a class="nav-link" role="tab" data-bs-toggle="tab" href="#tab-8">Url</a></li>
                                                                                                            <li class="nav-item" role="presentation"><a class="nav-link" role="tab" data-bs-toggle="tab" href="#tab-8">Timestamp</a></li>
                                                                                                        </ul>
                                                                                                        <div class="tab-content">
                                                                                                            <div class="tab-pane active" role="tabpanel" id="tab-6">
                                                                                                                <ul class="list-group" style="border-style: none;">
                                                                                                                    <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Tag name</label><input type="text"></li>
                                                                                                                    <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Tag class</label><input type="text"></li>
                                                                                                                    <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Property</label><input type="text"></li>
                                                                                                                </ul>
                                                                                                            </div>
                                                                                                            <div class="tab-pane" role="tabpanel" id="tab-7">
                                                                                                                <ul class="list-group" style="border-style: none;">
                                                                                                                    <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Tag name</label><input type="text" style="color: rgb(255,255,255);width: 100%;height: 42px;"></li>
                                                                                                                    <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Tag class</label><input type="text" style="color: rgb(255,255,255);width: 100%;height: 42px;"></li>
                                                                                                                    <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Property</label><input type="text" style="color: rgb(255,255,255);width: 100%;height: 42px;"></li>
                                                                                                                </ul>
                                                                                                            </div>
                                                                                                            <div class="tab-pane" role="tabpanel" id="tab-8">
                                                                                                                <ul class="list-group" style="border-style: none;">
                                                                                                                    <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Tag name</label><input type="text" style="color: rgb(255,255,255);width: 100%;height: 42px;"></li>
                                                                                                                    <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Tag class</label><input type="text" style="color: rgb(255,255,255);width: 100%;height: 42px;"></li>
                                                                                                                    <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Property</label><input type="text" style="color: rgb(255,255,255);width: 100%;height: 42px;"></li>
                                                                                                                </ul>
                                                                                                            </div>
                                                                                                            <div class="tab-pane" role="tabpanel" id="tab-9">
                                                                                                                <ul class="list-group" style="border-style: none;">
                                                                                                                    <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Tag name</label><input type="text" style="color: rgb(255,255,255);width: 100%;height: 42px;"></li>
                                                                                                                    <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Tag class</label><input type="text" style="color: rgb(255,255,255);width: 100%;height: 42px;"></li>
                                                                                                                    <li class="list-group-item" style="border-style: none;"><label class="form-label" style="color: rgb(0,0,0);">Property</label><input type="text" style="color: rgb(255,255,255);width: 100%;height: 42px;"></li>
                                                                                                                </ul>
                                                                                                            </div>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </li>
                                                                                            </ul>
                                                                                        </div>
                                                                                        <div class="tab-pane" role="tabpanel" id="mp1_s1_i2">
                                                                                            <p>Content for tab 7.</p>
                                                                                        </div>
                                                                                        <div class="tab-pane" role="tabpanel" id="mp1_s1_i3">
                                                                                            <p>Content for tab 8.</p>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </li>
                                                                        </ul>
                                                                    </div>
                                                                    <div class="tab-pane" role="tabpanel" id="mp1_s2">
                                                                        <p>Content for tab 7.</p>
                                                                    </div>
                                                                    <div class="tab-pane" role="tabpanel" id="mp1_s3">
                                                                        <p>Content for tab 8.</p>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </div>
                                                <div class="tab-pane" role="tabpanel" id="mp2">
                                                    <p>Content for tab 4.</p>
                                                </div>
                                                <div class="tab-pane" role="tabpanel" id="mp3">
                                                    <p>Content for tab 5.</p>
                                                </div>
                                            </div>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6" style="padding-left: 40px;">
                        <div class="row">
                            <div class="col" style="text-align: left;">
                                <h2 style="color: #ffffff;">Control Json</h2>
                            </div>
                        </div>
                        <div class="row" style="padding-top: 20px;">
                            <div class="col">
                                <div>
                                    <ul class="nav nav-tabs" role="tablist">
                                        <li class="nav-item" role="presentation"><a class="nav-link active" role="tab" data-bs-toggle="tab" href="#tab-1">Master page</a></li>
                                        <li class="nav-item" role="presentation"><a class="nav-link" role="tab" data-bs-toggle="tab" href="#tab-2">Article page</a></li>
                                    </ul>
                                    <div class="tab-content" style="position: relative; height: 500px; overflow: auto;">
                                        <div class="tab-pane active" role="tabpanel" id="tab-1">
                                            <div style="position: relative;overflow: auto;height: 100%;width: 100%;border: solid 2px #0099cc;"><textarea class="editor" style="&quot;position: absolute;left: 0;top: 0;"></textarea></div>
                                        </div>
                                        <div class="tab-pane" role="tabpanel" id="tab-2">
                                            <p>Content for tab 2.</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main><script src="../../assets/js/socket_connector.js"></script>
<script>
    var editor = CodeMirror.fromTextArea(document.querySelector('.editor'), {
        lineNumbers: true,
        mode: "javascript"
    });

    var editor_json = {};
    var button = document.getElementById("btn_test");

    editor.on("change", function(){
        editor_json = JSON.parse(editor.getValue());
    });

    button.addEventListener("click", function (e){
        socket.emit("test_masterpage_crawler", {
            "control_json": editor_json
        });
    });

    socket.on("masterpage_crawled", function(message) {
        console.log(message);
    });
</script>
<script>
    function addTable() {
        var myTableDiv = document.getElementById("metric_results")
        var table = document.createElement('TABLE')
        var tableBody = document.createElement('TBODY')

        table.border = '1'
        table.appendChild(tableBody);

        var heading = new Array();
        heading[0] = "Request Type"
        heading[1] = "Group A"
        heading[2] = "Groub B"
        heading[3] = "Group C"
        heading[4] = "Total"

        var stock = new Array()
        stock[0] = new Array("Cars", "88.625", "85.50", "85.81", "987")
        stock[1] = new Array("Veggies", "88.625", "85.50", "85.81", "988")
        stock[2] = new Array("Colors", "88.625", "85.50", "85.81", "989")
        stock[3] = new Array("Numbers", "88.625", "85.50", "85.81", "990")
        stock[4] = new Array("Requests", "88.625", "85.50", "85.81", "991")

        //TABLE COLUMNS
        var tr = document.createElement('TR');
        tableBody.appendChild(tr);
        for (i = 0; i < heading.length; i++) {
            var th = document.createElement('TH')
            th.width = '75';
            th.appendChild(document.createTextNode(heading[i]));
            tr.appendChild(th);
        }

        //TABLE ROWS
        for (i = 0; i < stock.length; i++) {
            var tr = document.createElement('TR');
            for (j = 0; j < stock[i].length; j++) {
                var td = document.createElement('TD')
                td.appendChild(document.createTextNode(stock[i][j]));
                tr.appendChild(td)
            }
            tableBody.appendChild(tr);
        }
        myTableDiv.appendChild(table)
    }
</script><script>
    var button = document.getElementById("btn_save");
    button.addEventListener("click", function (e){
        var domain = document.getElementById("txt_domain_name").value;
        
        socket.emit("crawler_save", {
            "domain": domain_name
        });
    });
</script>
    <footer class="page-footer" style="background: #090a14;padding-top: 0px;">
        <div class="container">
            <div class="row" style="transform: scale(1);">
                <div class="col-sm-3">
                    <h5 style="color: rgb(116,123,130);">Get started</h5>
                    <ul>
                        <li><a href="#">Home</a></li>
                        <li><a href="#">Sign up</a></li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h5 style="color: rgb(116,123,130);">About us</h5>
                    <ul>
                        <li><a href="#">Company Information</a></li>
                        <li><a href="#">Contact us</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="footer-copyright" style="background: #090a14;margin-top: 0px;border-top-width: 0px;border-right-width: 0px;border-bottom-width: 0px;border-left-width: 0px;padding-top: 0px;padding-bottom: 0px;">
            <p>© 2021 Copyright Text</p>
        </div>
    </footer>
    <script src="../assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="../assets/js/chart.min.js"></script>
    <script src="../assets/js/bs-init.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.10.0/baguetteBox.min.js"></script>
    <script src="../assets/js/vanilla-zoom.js"></script>
    <script src="../assets/js/theme.js"></script>
    <script src="../assets/js/redirect.js"></script>
</body>

</html>